GNU bug report logs - #36037
Setting Koutliner view spec to <|benl1> and then back to <|ben> does not restore outline view

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: hyperbole; Reported by: Bodertz <bodertz@HIDDEN>; dated Sat, 1 Jun 2019 05:24:01 UTC; Maintainer for hyperbole is bug-hyperbole@HIDDEN.

Message received at 36037 <at> debbugs.gnu.org:


Received: (at 36037) by debbugs.gnu.org; 4 Jun 2019 13:50:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 09:50:27 2019
Received: from localhost ([127.0.0.1]:44359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hY9pb-0000Ih-D0
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2019 09:50:27 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:36864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bodertz@HIDDEN>) id 1hY9pZ-0000IR-Gi
 for 36037 <at> debbugs.gnu.org; Tue, 04 Jun 2019 09:50:26 -0400
Received: by mail-pg1-f177.google.com with SMTP id 20so10413183pgr.4
 for <36037 <at> debbugs.gnu.org>; Tue, 04 Jun 2019 06:50:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:date:user-agent:in-reply-to:references:mime-version
 :content-transfer-encoding:subject:to:cc:message-id;
 bh=N5lNGoVoW5iRukGRaooyVhSEHzjFiTt8eIDXXNde0c8=;
 b=uDNWTQF9ZeNPIdKkbHGPGwImFHK3ra9MTg2n3K+rXvIHRmBVo44LBeD82hkYXC/spP
 rmdB6T6cZZjLiDwAjEt4EkBJtmUSctQ6CdASU7wC2m4rfweszZ4hixLjL8sAx6dn22T8
 RjqXv+pGT2QFoeuSa5zCKjR05jTYh+sSuQ6HQH7mXk6T2OjAVnOtG9VySUmHMcVvMoIM
 mGZ6DfB4zGZslAkbs1ZzAlmR54Uw4rHItq4r0Nrd/I1cZez79BT2eWxgz5xNnt1Nk45o
 0E/XKhAQKkq5Zhw2ObN5Q+cjU0Wq+CksQ14/4nBWUCF5j4SRQ7ekohrCQkDYUbRTz00J
 EpGg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:date:user-agent:in-reply-to:references
 :mime-version:content-transfer-encoding:subject:to:cc:message-id;
 bh=N5lNGoVoW5iRukGRaooyVhSEHzjFiTt8eIDXXNde0c8=;
 b=nFtZX7zC5w3wml2ut+8VORgRz9/pEiW0SzVOlJlh6iTbQZSQj7Ygfi9ZV0+qRPfmES
 io5Xk4zJX/v3B9C3t9VL1mpyAQPziUgFLnsEC6zgxGMdv9LHeWUzNR+DNKJDWDY+1imx
 enD3QdrtZvVMvOOi7o0z/fUo591snU9bAwcrauz7ly3JbSFgAHV6yaNlkLlBTe3ixL0i
 3cN7lE/iu9xOO9PzzLIKa31xFVZv0FLborLSJvM1T31mARahHWAxwup3Xlj2ZxvMFPWu
 wMIHP3z7fm2FXSAO8TkpAOmGJ3tdcMWaKWNveher++WWWlpB/3sxr3vtsEb8CVclmvht
 erMw==
X-Gm-Message-State: APjAAAU4OyVsO7MVLT3wD6JDpMZXJ3XZnsXR4tTL0NNQFqi3dDf/J8f+
 9p9qtKEc5i20pPfv9y8i2Sc=
X-Google-Smtp-Source: APXvYqygPSuXt/foeq7aVOquIjwORMry5IKICoKqsIGVfPa0Kxw1tPLh0rxNLI563KKaSAQIghVvOw==
X-Received: by 2002:a17:90a:7184:: with SMTP id
 i4mr37535308pjk.49.1559656219424; 
 Tue, 04 Jun 2019 06:50:19 -0700 (PDT)
Received: from saralou.middle.earth (S01061cabc0a572b3.ed.shawcable.net.
 [68.148.90.108])
 by smtp.gmail.com with ESMTPSA id m24sm17983436pgh.75.2019.06.04.06.50.15
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 04 Jun 2019 06:50:16 -0700 (PDT)
From: bodertz@HIDDEN
X-Google-Original-From: Bodertz@HIDDEN
Date: Tue, 04 Jun 2019 07:50:13 -0600
User-Agent: K-9 Mail for Android
In-Reply-To: <A196ED57-90C0-4DD4-9353-A368CEAF2E39@HIDDEN>
References: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
 <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
 <ebd4b465-a00c-9087-ff38-4df7d893f856@HIDDEN>
 <A196ED57-90C0-4DD4-9353-A368CEAF2E39@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----4N1VX72XWGPFFB4JNP3LAX6W85UEGN"
Content-Transfer-Encoding: 7bit
Subject: Re: bug#36037: Setting Koutliner view spec to <|benl1> and then back
 to <|ben> does not restore outline view
To: Robert Weiner <rswgnu@HIDDEN>
Message-ID: <9B4BC76B-6977-499B-8E55-881F21154711@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36037
Cc: 36037 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------4N1VX72XWGPFFB4JNP3LAX6W85UEGN
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Thank you, that was very fast=2E

No reason to keep the bug open=2E
------4N1VX72XWGPFFB4JNP3LAX6W85UEGN
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Thank you, that was very fast=2E<br><br>No reason to keep the bug open=2E
------4N1VX72XWGPFFB4JNP3LAX6W85UEGN--




Information forwarded to bug-hyperbole@HIDDEN:
bug#36037; Package hyperbole. Full text available.

Message received at 36037 <at> debbugs.gnu.org:


Received: (at 36037) by debbugs.gnu.org; 4 Jun 2019 05:19:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 04 01:19:09 2019
Received: from localhost ([127.0.0.1]:43620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hY1qm-000212-TD
	for submit <at> debbugs.gnu.org; Tue, 04 Jun 2019 01:19:09 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:40368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rswgnu@HIDDEN>) id 1hY1ql-00020Z-JV
 for 36037 <at> debbugs.gnu.org; Tue, 04 Jun 2019 01:19:08 -0400
Received: by mail-qt1-f180.google.com with SMTP id a15so12305804qtn.7
 for <36037 <at> debbugs.gnu.org>; Mon, 03 Jun 2019 22:19:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=twrV9RunkYNG2vysOjWzLHA6hO3kgS8sHuGWVz5vvts=;
 b=UqyqeLyPGvJkko5jATWSqJuMixosV+FzfXrwZNvzBNnMMdFYjX4bt7A9HVI9gE2aK1
 ZIqCIcmUhFS7E72OxdPrgsrE/lmFxTVRKHZWASGxWB83A0UysfKewCbIyxT22AnEGC3Y
 wJ0a4djX1ogMCTZkcxAnmpQSCq7TIzhlx1UZELcU7X7qrQBWsP9Dwwb9FWXmd2+yl3Oq
 pZjvnn8zeeH4AoZ1djqJ0yJK9pyRDlhiIoZBR+p5/K6V4SoklkZEQLm0cjVH1KoERGdz
 KUlzfA9KQZ6sVp0vZ4CsEwsoJ4T0kbjKqKRrePFmQoNTQWuzQ8KgquLbkzJjMSfKRFZp
 1Ccw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=twrV9RunkYNG2vysOjWzLHA6hO3kgS8sHuGWVz5vvts=;
 b=DyeeJvbT/Z6a/cLkcvBECWuw/mYiQxE7LKNMIw+7NvKtNivTOlEUoNEOD2vZGsfugW
 npeTw1RrZpSMHnycgufvM0v/wUxwmxDm7RXlEfVBjnaYqRNWLH6s3vHPl7tLnJFXpyQ2
 Wy9Sv/6dxX0ZcYQKDI591qqOX5bjtmlJFq9qtczKf1ttl36irteChORYhKAA3gqkDcNf
 rCFwMGQdyR66Qk02ocvrLB0yQLWHvyu/20FucKQpt79V4Brg0bofkVuh0kA3gFL9y0El
 e8B4bob3v3T3bXRIrzJ46J56d4dnwwizX9irqosWJfV4e4Zq3a3VKdoUZyO7XMSn2e/3
 xpoA==
X-Gm-Message-State: APjAAAVB3bQz4mYyFYalHrDlfk39wpDpnPNs9YsLArR5ISv/wM3kwMLQ
 Wj1OBDOLxH4H8wnYiyD3g/FUDkA7
X-Google-Smtp-Source: APXvYqzCkg9IIJ7m0/P/14EOIyQJ6bHA9YaGWRgcty1zlN0eB0Q5LIVFBRVspFC9tuTiI0JkcvgbaA==
X-Received: by 2002:a0c:b786:: with SMTP id l6mr277961qve.148.1559625541082;
 Mon, 03 Jun 2019 22:19:01 -0700 (PDT)
Received: from [192.168.1.13] (ool-44c12231.dyn.optonline.net. [68.193.34.49])
 by smtp.gmail.com with ESMTPSA id
 f6sm4359530qkk.79.2019.06.03.22.18.59
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 03 Jun 2019 22:19:00 -0700 (PDT)
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (1.0)
Subject: Re: bug#36037: Setting Koutliner view spec to <|benl1> and then back
 to <|ben> does not restore outline view
From: Robert Weiner <rswgnu@HIDDEN>
X-Mailer: iPhone Mail (16E227)
In-Reply-To: <ebd4b465-a00c-9087-ff38-4df7d893f856@HIDDEN>
Date: Tue, 4 Jun 2019 01:18:58 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <A196ED57-90C0-4DD4-9353-A368CEAF2E39@HIDDEN>
References: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
 <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
 <ebd4b465-a00c-9087-ff38-4df7d893f856@HIDDEN>
To: Bodertz <bodertz@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36037
Cc: 36037 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Handling viewspecs which lack a =E2=80=98c=E2=80=99 or a lowercase =E2=80=98=
l=E2=80=99 character is fixed for the next release of Hyperbole 7.0.4 such t=
hat these specs are set to their default values (initially set to 0, meaning=
 all lines, levels) and the view is updated.

The bug can be closed if desired.


> On Jun 1, 2019, at 12:24 PM, Bodertz <bodertz@HIDDEN> wrote:
>=20
>> On 6/1/19 6:21 AM, Robert Weiner wrote:
>> Looks like a bug in the Koutliner, in that any clipped cells are not expa=
nded. Use {C-c C-a} to show the whole outline for now and we will look at re=
solving it.
>>=20
>> Note that the pipe character (|) is only used in klinks and not when inte=
ractively prompted for a viewspec with {C-c C-v}, though it doesn't hurt any=
thing to type it there.  At most, you only ever use one pipe character.  May=
be instead of <|ben|1> you mean <|benc1> which clips the outline to 1 line p=
er cell?
>>=20
> Thank you.
>=20
> That second pipe is a lowercase L(hide cells at levels deeper than N). The=
 issue also appears with 'c', but I don't think any others. Adding 'a' (show=
 all cell levels and all lines in cells) takes precedence over both of them,=
 and will show all cell levels and lines no matter what else is in the view s=
pec.
>=20




Information forwarded to bug-hyperbole@HIDDEN:
bug#36037; Package hyperbole. Full text available.

Message received at 36037 <at> debbugs.gnu.org:


Received: (at 36037) by debbugs.gnu.org; 1 Jun 2019 17:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 01 13:07:47 2019
Received: from localhost ([127.0.0.1]:38571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hX7Tv-0005UH-FO
	for submit <at> debbugs.gnu.org; Sat, 01 Jun 2019 13:07:47 -0400
Received: from mail-qt1-f175.google.com ([209.85.160.175]:44623)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rswgnu@HIDDEN>) id 1hX7Tt-0005U4-Dx
 for 36037 <at> debbugs.gnu.org; Sat, 01 Jun 2019 13:07:45 -0400
Received: by mail-qt1-f175.google.com with SMTP id x47so4816128qtk.11
 for <36037 <at> debbugs.gnu.org>; Sat, 01 Jun 2019 10:07:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=kvugHXBOBzdDyfwaGjt7PQ1I3ovVUEx2rGOg7w+bZ/w=;
 b=FuuG944rW2Iuw6GB4vz1MbVtClwMlBZ72DSQW4t4QELER/bKOXk/LJ2kCel+UA/zji
 KUdEGwrlu5Jw35ENJqaZPZsthoWoKVl4WXzy+cRA2J1N10VZFnZQOFxiD7FdCaSxe0r6
 +d8+vquN61yvlit17xfUCVrWlIFSlIQ8EkMFk71SD+KMp7bAc+S5I38jbSOBMjVdw62J
 +0IBPm7MTa0uQXinmBE3IRA9A9bkFD8p4RPNbBE1phLvo0QNtRrC8BFTJvNS/kqYwTrj
 nDK1LBarmEh1BKg8jknzlzxRORMlPiqjxAUhf3JXBcF7muRzz5RASyaQYEbDMhoL7t7K
 /a7w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:subject:from:in-reply-to:date:cc
 :content-transfer-encoding:message-id:references:to;
 bh=kvugHXBOBzdDyfwaGjt7PQ1I3ovVUEx2rGOg7w+bZ/w=;
 b=s00qtigMnvBOLsyJ3ytJ2bkVCM/KkUnkz4cO/2DGGYpEXNW7JnvD1jxuqhGYGnQNd2
 Jf6SZHxuNrl2KxxBykY2FJSi9yUDXA/fjgEAh3SVTsjLq1h6l1tWxsV3IOIPiEivYxvk
 eplGO/SBo5e08IUn1g0jSS3rrk/gJiDCRgUZX+s0oWekE2HnIVTqoirMnRha0ORsmTnH
 UzHhFalPAv8xTkrZNvF61cV1tR2JG0r3YRfff5DbxD26gU2WuOonZjWhCzWLrhJDGotP
 t3jGhcTW6g2v4JZhfYkh15bDnn8QZmsvQfhBAYuJJ83rSE4Ww1qiMvwU5lBOsXYZI5+h
 W+vA==
X-Gm-Message-State: APjAAAXg41auwesLK/f0m/EYtxG+8wSa02BU969vIoUlXe20KOJFLUam
 AnMS3aTS5+2Ui/9VtpkF9VmwDYVc
X-Google-Smtp-Source: APXvYqwUvoPxMdpkaEGDPSzg4kFYnwnphxIAodQXgbTYcsBD19/vkLZH+COryRwhk2Y8/JxDubJuQg==
X-Received: by 2002:a0c:b98c:: with SMTP id v12mr14377295qvf.97.1559408859518; 
 Sat, 01 Jun 2019 10:07:39 -0700 (PDT)
Received: from ?IPv6:2600:1000:b11d:3df5:fc69:e0c9:a78a:4cb2?
 ([2600:1000:b11d:3df5:fc69:e0c9:a78a:4cb2])
 by smtp.gmail.com with ESMTPSA id n124sm5388922qkf.31.2019.06.01.10.07.37
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 01 Jun 2019 10:07:38 -0700 (PDT)
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (1.0)
Subject: Re: bug#36037: Setting Koutliner view spec to <|benl1> and then back
 to <|ben> does not restore outline view
From: Robert Weiner <rswgnu@HIDDEN>
X-Mailer: iPhone Mail (16E227)
In-Reply-To: <ebd4b465-a00c-9087-ff38-4df7d893f856@HIDDEN>
Date: Sat, 1 Jun 2019 13:07:36 -0400
Content-Transfer-Encoding: quoted-printable
Message-Id: <106BE369-6428-400C-B262-082812A7E14E@HIDDEN>
References: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
 <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
 <ebd4b465-a00c-9087-ff38-4df7d893f856@HIDDEN>
To: Bodertz <bodertz@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36037
Cc: 36037 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I see the lowercase L now.  I think a, show all, overriding other specs is t=
he right behavior unless we decide to have viewspecs applied left to right w=
ithout priority.  But I have seen 2 cases today that seem to need fixing, th=
e one you pointed out and one involving a.

-- Bob

> On Jun 1, 2019, at 12:24 PM, Bodertz <bodertz@HIDDEN> wrote:
>=20
>> On 6/1/19 6:21 AM, Robert Weiner wrote:
>> Looks like a bug in the Koutliner, in that any clipped cells are not expa=
nded. Use {C-c C-a} to show the whole outline for now and we will look at re=
solving it.
>>=20
>> Note that the pipe character (|) is only used in klinks and not when inte=
ractively prompted for a viewspec with {C-c C-v}, though it doesn't hurt any=
thing to type it there.  At most, you only ever use one pipe character.  May=
be instead of <|ben|1> you mean <|benc1> which clips the outline to 1 line p=
er cell?
>>=20
> Thank you.
>=20
> That second pipe is a lowercase L(hide cells at levels deeper than N). The=
 issue also appears with 'c', but I don't think any others. Adding 'a' (show=
 all cell levels and all lines in cells) takes precedence over both of them,=
 and will show all cell levels and lines no matter what else is in the view s=
pec.
>=20




Information forwarded to bug-hyperbole@HIDDEN:
bug#36037; Package hyperbole. Full text available.

Message received at 36037 <at> debbugs.gnu.org:


Received: (at 36037) by debbugs.gnu.org; 1 Jun 2019 16:41:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 01 12:41:36 2019
Received: from localhost ([127.0.0.1]:38543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hX74a-0004jf-9d
	for submit <at> debbugs.gnu.org; Sat, 01 Jun 2019 12:41:36 -0400
Received: from mail-pl1-f171.google.com ([209.85.214.171]:40196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bodertz@HIDDEN>) id 1hX6o4-0004K5-OI
 for 36037 <at> debbugs.gnu.org; Sat, 01 Jun 2019 12:24:33 -0400
Received: by mail-pl1-f171.google.com with SMTP id g69so5257440plb.7
 for <36037 <at> debbugs.gnu.org>; Sat, 01 Jun 2019 09:24:32 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=u6GG5PdVTv4UfVxkKK800JL8I9/prqYXjMpWua1/cjw=;
 b=RU2lUv3bY1VfZWn1lobE6D0+n0tZ/9Z9Wz1XWzkvbwlit7dfAeWUo9CQfZRY/xG/Fl
 ZxpstI/xBy2KskbPbFN0vvJIF7x1NgY32pT4aaQ/9XFSmyS0yexMQNFjQgF/bhKjj70O
 sO5OlawCIK6RUXctFZSKfQ8/pIMJrxxWoR9tO0viK59LdtMsMV0W1SxBu3KfNTRjvfZf
 cKk0nhWoeBw60BbWv3hj7fNXBzZrEmAfc4D55MUIhdqoxSI+E3bIHwfzsbLwlbSZEB8T
 gBS5Myl13F9IaiFQU6Nhyh29LN+rujjSos64GXUBXosJrmTXabM7kq6XfjfjXZ9GuHQZ
 E4rg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=u6GG5PdVTv4UfVxkKK800JL8I9/prqYXjMpWua1/cjw=;
 b=Yy7Uqa2e0v89XihuTzJHvoZixjWPHAz6YwLIsg5Q/rTBovq+mX309nfaigGxQUISjs
 Nu0lPBeDyaSCfZgCtU5hvsNnkfaI1vTMdD2npeRNuejMOQOGZ/AxDW2euPr3Pau4yYFN
 /tIsO9/N91wrWAHvWqqBQIgdGnb/Kg9eaVFcfCbTafRB30BcwmoIOBxhmXguhMLN1sqg
 nSbluwvJvZtxqQUP4fbvakIld9D1cy+3rNSk2wedIllnEERFe9ZG6d1q/UKWcljPyERs
 6nJjRjhMyRDVHtfTAn2yA+qE1McnLPKQpRtszlPCkfEKfKERnsDCwWklCqZRI0gPPq7O
 q6WA==
X-Gm-Message-State: APjAAAUW59JeTixLvpetjZDGQIIqiX7VRFNWlBe8OXFRNq6q4YCAVH3d
 l1eml7F3pglwyTFf9d5C3eguVCI8AFA=
X-Google-Smtp-Source: APXvYqzGCPWql/by2tI9bmHhIneMsBWnFEr9XwJken7pQa3ZS8ACZGxkqQHZw4ok0o+wK1rFFxX+4A==
X-Received: by 2002:a17:902:b402:: with SMTP id
 x2mr17778991plr.128.1559406266569; 
 Sat, 01 Jun 2019 09:24:26 -0700 (PDT)
Received: from [192.168.1.104] (S01061cabc0a572b3.ed.shawcable.net.
 [68.148.90.108])
 by smtp.gmail.com with ESMTPSA id b1sm8765494pjw.16.2019.06.01.09.24.25
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Sat, 01 Jun 2019 09:24:26 -0700 (PDT)
Subject: Re: bug#36037: Setting Koutliner view spec to <|benl1> and then back
 to <|ben> does not restore outline view
To: rswgnu@HIDDEN
References: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
 <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
From: Bodertz <bodertz@HIDDEN>
Message-ID: <ebd4b465-a00c-9087-ff38-4df7d893f856@HIDDEN>
Date: Sat, 1 Jun 2019 10:24:24 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
In-Reply-To: <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36037
X-Mailman-Approved-At: Sat, 01 Jun 2019 12:41:35 -0400
Cc: 36037 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 6/1/19 6:21 AM, Robert Weiner wrote:
> Looks like a bug in the Koutliner, in that any clipped cells are not 
> expanded. Use {C-c C-a} to show the whole outline for now and we will 
> look at resolving it.
>
> Note that the pipe character (|) is only used in klinks and not when 
> interactively prompted for a viewspec with {C-c C-v}, though it 
> doesn't hurt anything to type it there.  At most, you only ever use 
> one pipe character.  Maybe instead of <|ben|1> you mean <|benc1> which 
> clips the outline to 1 line per cell?
>
Thank you.

That second pipe is a lowercase L(hide cells at levels deeper than N). 
The issue also appears with 'c', but I don't think any others. Adding 
'a' (show all cell levels and all lines in cells) takes precedence over 
both of them, and will show all cell levels and lines no matter what 
else is in the view spec.





Information forwarded to bug-hyperbole@HIDDEN:
bug#36037; Package hyperbole. Full text available.

Message received at 36037 <at> debbugs.gnu.org:


Received: (at 36037) by debbugs.gnu.org; 1 Jun 2019 12:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 01 08:22:35 2019
Received: from localhost ([127.0.0.1]:37384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hX31u-0004ZJ-Na
	for submit <at> debbugs.gnu.org; Sat, 01 Jun 2019 08:22:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49653)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rsw@HIDDEN>) id 1hX31t-0004Z7-5w
 for 36037 <at> debbugs.gnu.org; Sat, 01 Jun 2019 08:22:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37860)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rsw@HIDDEN>)
 id 1hX31o-0003Co-0n
 for 36037 <at> debbugs.gnu.org; Sat, 01 Jun 2019 08:22:28 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:42185)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <rsw@HIDDEN>) id 1hX31m-00063D-8l
 for 36037 <at> debbugs.gnu.org; Sat, 01 Jun 2019 08:22:27 -0400
Received: by mail-lf1-f52.google.com with SMTP id y13so10045516lfh.9
 for <36037 <at> debbugs.gnu.org>; Sat, 01 Jun 2019 05:22:26 -0700 (PDT)
X-Gm-Message-State: APjAAAW0/IfPaYV82WLOF2jrtdnHiQix/a6KI/wSd7Ymnf5lq0s7hHa/
 fXJrXch4UMkNXvz0QZbKved3GuXdutbSe+QvU3I=
X-Google-Smtp-Source: APXvYqy5XDO3C8pWmXPKBaUUzh+9WGXE+kyXtrxYi6tPCnjysMqHG3XmCfqs9Nl5zqZLqaYQIcwkjN8MJfg/R6HVsjQ=
X-Received: by 2002:ac2:51a3:: with SMTP id f3mr4826758lfk.125.1559391744915; 
 Sat, 01 Jun 2019 05:22:24 -0700 (PDT)
MIME-Version: 1.0
References: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
In-Reply-To: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
From: Robert Weiner <rsw@HIDDEN>
Date: Sat, 1 Jun 2019 08:21:58 -0400
X-Gmail-Original-Message-ID: <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
Message-ID: <CA+OMD9gqNtRiqtgTg0Rmg_YdVFPBzduaDUU1e-8rL49fhAZTzw@HIDDEN>
Subject: Re: bug#36037: Setting Koutliner view spec to <|benl1> and then back
 to <|ben> does not restore outline view
To: Bodertz <bodertz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000057fca058a422ff6"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 36037
Cc: 36037 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rswgnu@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--000000000000057fca058a422ff6
Content-Type: text/plain; charset="UTF-8"

Looks like a bug in the Koutliner, in that any clipped cells are not
expanded.  Use {C-c C-a} to show the whole outline for now and we will look
at resolving it.

Note that the pipe character (|) is only used in klinks and not when
interactively prompted for a viewspec with {C-c C-v}, though it doesn't
hurt anything to type it there.  At most, you only ever use one pipe
character.  Maybe instead of <|ben|1> you mean <|benc1> which clips the
outline to 1 line per cell?

Bob

On Sat, Jun 1, 2019 at 4:01 AM Bodertz <bodertz@HIDDEN> wrote:

> The manual "(hyperbole)Links" says this:
>
> "[...] The form, '<@ 2b=06 |ben>' additionally sets the view spec of the
> current outline back to the default value, with a blank line between
> each cell and the whole outline visible."
>
> However, setting a view spec to <|ben> after setting it to <|benl1> does
> not make the whole outline visible. Is this an issue with the
> documentation, a bug in Koutliner, or am I just misunderstanding
> something?
>
>

--000000000000057fca058a422ff6
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div class=3D"gmail_default" style=3D"fon=
t-family:monospace,monospace">Looks like a bug in the Koutliner, in that an=
y clipped cells are not expanded.=C2=A0 Use {C-c C-a} to show the whole out=
line for now and we will look at resolving it.</div><div class=3D"gmail_def=
ault" style=3D"font-family:monospace,monospace"><br></div><div class=3D"gma=
il_default" style=3D"font-family:monospace,monospace">Note that the pipe ch=
aracter (|) is only used in klinks and not when interactively prompted for =
a viewspec with {C-c C-v}, though it doesn&#39;t hurt anything to type it t=
here.=C2=A0 At most, you only ever use one pipe character.=C2=A0 Maybe inst=
ead of &lt;|ben|1&gt; you mean &lt;|benc1&gt; which clips the outline to 1 =
line per cell?</div><div class=3D"gmail_default" style=3D"font-family:monos=
pace,monospace"><br></div><div class=3D"gmail_default" style=3D"font-family=
:monospace,monospace">Bob</div></div><br><div class=3D"gmail_quote"><div di=
r=3D"ltr" class=3D"gmail_attr">On Sat, Jun 1, 2019 at 4:01 AM Bodertz &lt;<=
a href=3D"mailto:bodertz@HIDDEN">bodertz@HIDDEN</a>&gt; wrote:<br></d=
iv><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;bord=
er-left:1px solid rgb(204,204,204);padding-left:1ex">The manual &quot;(hype=
rbole)Links&quot; says this:<br>
<br>
&quot;[...] The form, &#39;&lt;@ 2b=3D06 |ben&gt;&#39; additionally sets th=
e view spec of the<br>
current outline back to the default value, with a blank line between<br>
each cell and the whole outline visible.&quot;<br>
<br>
However, setting a view spec to &lt;|ben&gt; after setting it to &lt;|benl1=
&gt; does<br>
not make the whole outline visible. Is this an issue with the<br>
documentation, a bug in Koutliner, or am I just misunderstanding<br>
something?<br><br>
</blockquote></div></div>

--000000000000057fca058a422ff6--




Information forwarded to bug-hyperbole@HIDDEN:
bug#36037; Package hyperbole. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Jun 2019 05:23:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 01 01:23:55 2019
Received: from localhost ([127.0.0.1]:36802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWwUl-0004nH-GN
	for submit <at> debbugs.gnu.org; Sat, 01 Jun 2019 01:23:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bodertz@HIDDEN>) id 1hWwBt-0004ES-A4
 for submit <at> debbugs.gnu.org; Sat, 01 Jun 2019 01:04:25 -0400
Received: from lists.gnu.org ([209.51.188.17]:52704)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bodertz@HIDDEN>) id 1hWwBm-0002F2-Re
 for submit <at> debbugs.gnu.org; Sat, 01 Jun 2019 01:04:19 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59974)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bodertz@HIDDEN>) id 1hWwBl-00057l-Rz
 for bug-hyperbole@HIDDEN; Sat, 01 Jun 2019 01:04:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bodertz@HIDDEN>) id 1hWwBk-0002DA-P6
 for bug-hyperbole@HIDDEN; Sat, 01 Jun 2019 01:04:17 -0400
Received: from mail-pg1-x531.google.com ([2607:f8b0:4864:20::531]:45727)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <bodertz@HIDDEN>) id 1hWwBi-000206-KY
 for bug-hyperbole@HIDDEN; Sat, 01 Jun 2019 01:04:15 -0400
Received: by mail-pg1-x531.google.com with SMTP id w34so5141719pga.12
 for <bug-hyperbole@HIDDEN>; Fri, 31 May 2019 22:03:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:subject:from:message-id:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=ISz+eHBgiz7OGL4wKk5kEYEjo44WZUTLuJIqm2Ocr+U=;
 b=Qu5bZKyr0G3vPsSW8BES6tTgXtWnlZ2e3a753mYCZLsYq84C6vXAHWvHEqF8oAgwbz
 VdMo647w54Xe1D06x3PXpBW7yKU3kXQn90j27cc7CS/edepARHIPJrco1P3PhoFyqOY/
 cF3hTZr5V1x7DvRSRIogndyAcFgtBAxnhMIz+v43+kxdth263LdNwpcB2E8sQRxpO6l9
 /gBH6T8fQwm8McDAGAX3dwqGLdrmSu+70tlLn4YjPXAaQe6ngypOG1aV0Hvlv/ySMJa2
 a8Smc432pHjt8YwrTlMrDOB0llSw1FoElPkLNuNox5CapHyt/mm2HhBHd5nB00WWmWxY
 /SfQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:subject:from:message-id:date:user-agent
 :mime-version:content-transfer-encoding:content-language;
 bh=ISz+eHBgiz7OGL4wKk5kEYEjo44WZUTLuJIqm2Ocr+U=;
 b=O36lOqD9wMERhkf5VVStz7h7tqbaJU+PSK08Id3uydJ85R2bGWauLgrXRvj1M82Rmq
 +ReoqP2ijPCgciXX6xBfqJVS+07fXxmEfpTKUmC2504/0mZtra+Eht/nsXT/iGtAL+a4
 NAt6vzKcvdVePxZDGwoJppQtNDyhqgPocClOBciZ+cJT05LbO6SYeZJ8YarKEB9L4lCo
 Di/hT3kdDFc/2VyfS434tnBXTK+Ar2Q8bQk3CHhiJjKaBpYjaPwt5wEewQbRIQotv6aW
 aRGY9ziV2b31LvKaWsbr/GFzSkj5lxm8snVVHqJhcWa5DIVSSWe7TTejq9qmy4ke1R1P
 DbfQ==
X-Gm-Message-State: APjAAAVCZLquQMRJlEu7IIi/yFJwRPHk/b2XmH5ksKPfY6sRGpWxHvB6
 s0A7y5cmlTivs1gZrgMMOfA7oF7B
X-Google-Smtp-Source: APXvYqy/ZSpJhELveu9vwn2t8JCTd4Q5XmqH2wx3JnqQZ2jZuy98tgihZRSJ2kOlg0j6dnlKN1QxDQ==
X-Received: by 2002:a65:5c88:: with SMTP id a8mr13003089pgt.388.1559365432373; 
 Fri, 31 May 2019 22:03:52 -0700 (PDT)
Received: from [192.168.1.104] (S01061cabc0a572b3.ed.shawcable.net.
 [68.148.90.108])
 by smtp.gmail.com with ESMTPSA id f10sm12893581pgo.14.2019.05.31.22.03.51
 for <bug-hyperbole@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES128-GCM-SHA256 bits=128/128);
 Fri, 31 May 2019 22:03:51 -0700 (PDT)
To: bug-hyperbole@HIDDEN
Subject: Setting Koutliner view spec to <|benl1> and then back to <|ben> does
 not restore outline view
From: Bodertz <bodertz@HIDDEN>
Message-ID: <99210b3b-bbee-58a0-6c38-ec9ef314a5b7@HIDDEN>
Date: Fri, 31 May 2019 23:03:50 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.6.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::531
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 01 Jun 2019 01:23:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

The manual "(hyperbole)Links" says this:

"[...] The form, '<@ 2b=06 |ben>' additionally sets the view spec of the
current outline back to the default value, with a blank line between
each cell and the whole outline visible."

However, setting a view spec to <|ben> after setting it to <|benl1> does
not make the whole outline visible. Is this an issue with the
documentation, a bug in Koutliner, or am I just misunderstanding
something?




Acknowledgement sent to Bodertz <bodertz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-hyperbole@HIDDEN. Full text available.
Report forwarded to bug-hyperbole@HIDDEN:
bug#36037; Package hyperbole. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.